Index: testsuite/20_util/auto_ptr.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/20_util/auto_ptr.cc,v
retrieving revision 1.6
diff -c -3 -p -r1.6 auto_ptr.cc
*** testsuite/20_util/auto_ptr.cc	4 Jul 2002 07:25:17 -0000	1.6
--- testsuite/20_util/auto_ptr.cc	19 Jun 2003 18:22:55 -0000
*************** test06()
*** 197,204 ****
    std::auto_ptr<A> A_from_A_ptr(A_from_A.release());
    VERIFY( A_from_A.get() == 0 );
    VERIFY( A_from_A_ptr.get() != 0 );
!   VERIFY( A_from_A->ctor_count == 1 );
!   VERIFY( (*A_from_A).dtor_count == 0 );
  
    A* A_ptr = A_from_A_ptr.get();
  
--- 197,204 ----
    std::auto_ptr<A> A_from_A_ptr(A_from_A.release());
    VERIFY( A_from_A.get() == 0 );
    VERIFY( A_from_A_ptr.get() != 0 );
!   VERIFY( A_from_A_ptr->ctor_count == 1 );
!   VERIFY( (*A_from_A_ptr).dtor_count == 0 );
  
    A* A_ptr = A_from_A_ptr.get();
  
Index: testsuite/21_strings/basic_string/replace/char/4.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/21_strings/basic_string/replace/char/4.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 4.cc
*** testsuite/21_strings/basic_string/replace/char/4.cc	18 Mar 2003 05:04:13 -0000	1.1
--- testsuite/21_strings/basic_string/replace/char/4.cc	19 Jun 2003 18:22:55 -0000
*************** test04()
*** 55,61 ****
  
    str02 = "boards";
    char* ptr1 = &*str01.begin();
!   char* ptr2 = &*str01.end();
    str02.replace(str02.begin(), str02.end(), ptr1, ptr2);
    VERIFY(str02 == "geogaddi");
  }
--- 55,61 ----
  
    str02 = "boards";
    char* ptr1 = &*str01.begin();
!   char* ptr2 = ptr1 + str01.length();
    str02.replace(str02.begin(), str02.end(), ptr1, ptr2);
    VERIFY(str02 == "geogaddi");
  }
Index: testsuite/21_strings/basic_string/replace/wchar_t/4.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/21_strings/basic_string/replace/wchar_t/4.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 4.cc
*** testsuite/21_strings/basic_string/replace/wchar_t/4.cc	18 Mar 2003 05:04:13 -0000	1.1
--- testsuite/21_strings/basic_string/replace/wchar_t/4.cc	19 Jun 2003 18:22:55 -0000
*************** test04()
*** 55,61 ****
  
    str02 = L"boards";
    wchar_t* ptr1 = &*str01.begin();
!   wchar_t* ptr2 = &*str01.end();
    str02.replace(str02.begin(), str02.end(), ptr1, ptr2);
    VERIFY(str02 == L"geogaddi");
  }
--- 55,61 ----
  
    str02 = L"boards";
    wchar_t* ptr1 = &*str01.begin();
!   wchar_t* ptr2 = ptr1 + str01.length();
    str02.replace(str02.begin(), str02.end(), ptr1, ptr2);
    VERIFY(str02 == L"geogaddi");
  }
Index: testsuite/22_locale/ctype/narrow/char/1.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/narrow/char/1.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 1.cc
*** testsuite/22_locale/ctype/narrow/char/1.cc	21 Jan 2003 15:29:13 -0000	1.1
--- testsuite/22_locale/ctype/narrow/char/1.cc	19 Jun 2003 18:22:56 -0000
*************** void test01()
*** 56,62 ****
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[wide.length()], dfault, &narrow_chars[0]);  
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
--- 56,62 ----
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[0] + wide.length(), dfault, &narrow_chars[0]);
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
Index: testsuite/22_locale/ctype/narrow/char/2.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/narrow/char/2.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 2.cc
*** testsuite/22_locale/ctype/narrow/char/2.cc	21 Jan 2003 15:29:13 -0000	1.1
--- testsuite/22_locale/ctype/narrow/char/2.cc	19 Jun 2003 18:22:56 -0000
*************** void test02()
*** 60,66 ****
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[wide.length()], dfault, &narrow_chars[0]);  
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
--- 60,66 ----
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[0] + wide.length(), dfault, &narrow_chars[0]);
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
Index: testsuite/22_locale/ctype/narrow/wchar_t/1.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/narrow/wchar_t/1.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 1.cc
*** testsuite/22_locale/ctype/narrow/wchar_t/1.cc	21 Jan 2003 15:29:13 -0000	1.1
--- testsuite/22_locale/ctype/narrow/wchar_t/1.cc	19 Jun 2003 18:22:56 -0000
*************** void test01()
*** 56,62 ****
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[wide.length()], dfault, &narrow_chars[0]);  
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
--- 56,62 ----
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[0] + wide.length(), dfault, &narrow_chars[0]);
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
Index: testsuite/22_locale/ctype/narrow/wchar_t/2.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/narrow/wchar_t/2.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 2.cc
*** testsuite/22_locale/ctype/narrow/wchar_t/2.cc	21 Jan 2003 15:29:13 -0000	1.1
--- testsuite/22_locale/ctype/narrow/wchar_t/2.cc	19 Jun 2003 18:22:56 -0000
*************** void test02()
*** 60,66 ****
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[wide.length()], dfault, &narrow_chars[0]);  
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
--- 60,66 ----
      }
  
    // narrow(const charT* low, const charT* high, char dfault, char* dest) const
!   ctype_c.narrow(&wide[0], &wide[0] + wide.length(), dfault, &narrow_chars[0]);
    VERIFY( narrow_chars[0] != dfault );
    for (int i = 0; i < wide.length(); ++i)
      VERIFY( narrow_chars[i] == narrow[i] );
Index: testsuite/22_locale/ctype/widen/char/1.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/widen/char/1.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 1.cc
*** testsuite/22_locale/ctype/widen/char/1.cc	21 Jan 2003 15:29:14 -0000	1.1
--- testsuite/22_locale/ctype/widen/char/1.cc	19 Jun 2003 18:22:56 -0000
*************** void test01()
*** 55,61 ****
      }
  
    // widen(const char* low, const char* high, charT* dest) const
!   ctype_c.widen(&narrow[0], &narrow[narrow.length()], &wide_chars[0]);  
    for (int i = 0; i < narrow.length(); ++i)
      VERIFY( wide_chars[i] == wide[i] );
  }
--- 55,61 ----
      }
  
    // widen(const char* low, const char* high, charT* dest) const
!   ctype_c.widen(&narrow[0], &narrow[0] + narrow.length(), &wide_chars[0]);  
    for (int i = 0; i < narrow.length(); ++i)
      VERIFY( wide_chars[i] == wide[i] );
  }
Index: testsuite/22_locale/ctype/widen/wchar_t/1.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/22_locale/ctype/widen/wchar_t/1.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 1.cc
*** testsuite/22_locale/ctype/widen/wchar_t/1.cc	21 Jan 2003 15:29:14 -0000	1.1
--- testsuite/22_locale/ctype/widen/wchar_t/1.cc	19 Jun 2003 18:22:56 -0000
*************** void test01()
*** 55,61 ****
      }
  
    // widen(const char* low, const char* high, charT* dest) const
!   ctype_c.widen(&narrow[0], &narrow[narrow.length()], &wide_chars[0]);  
    for (int i = 0; i < narrow.length(); ++i)
      VERIFY( wide_chars[i] == wide[i] );
  }
--- 55,61 ----
      }
  
    // widen(const char* low, const char* high, charT* dest) const
!   ctype_c.widen(&narrow[0], &narrow[0] + narrow.length(), &wide_chars[0]);  
    for (int i = 0; i < narrow.length(); ++i)
      VERIFY( wide_chars[i] == wide[i] );
  }
Index: testsuite/23_containers/list_modifiers.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/23_containers/list_modifiers.cc,v
retrieving revision 1.3
diff -c -3 -p -r1.3 list_modifiers.cc
*** testsuite/23_containers/list_modifiers.cc	14 Jan 2003 04:56:55 -0000	1.3
--- testsuite/23_containers/list_modifiers.cc	19 Jun 2003 18:22:56 -0000
*************** test01()
*** 107,120 ****
    VERIFY(list0101.size() == 2);
    VERIFY(T::dtorCount() == 1);
    VERIFY(i->id() == 1);
-   VERIFY(j->id() == 1);
    VERIFY(k->id() == 1);
  
    list0101.pop_front();          // list should be [1]
    VERIFY(list0101.size() == 1);
    VERIFY(T::dtorCount() == 2);
    VERIFY(i->id() == 1);
-   VERIFY(j->id() == 1);
    VERIFY(k->id() == 1);
  }
  
--- 107,118 ----
Index: testsuite/23_containers/vector_bool.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/23_containers/vector_bool.cc,v
retrieving revision 1.3
diff -c -3 -p -r1.3 vector_bool.cc
*** testsuite/23_containers/vector_bool.cc	15 Mar 2003 04:53:52 -0000	1.3
--- testsuite/23_containers/vector_bool.cc	19 Jun 2003 18:22:56 -0000
***************
*** 26,32 ****
  void test01()
  {
    std::vector<bool>::iterator i;
!   ++i;
  }
  
  // libstdc++/6886
--- 26,33 ----
  void test01()
  {
    std::vector<bool>::iterator i;
!   if (false)
!     ++i;
  }
  
  // libstdc++/6886
Index: testsuite/24_iterators/rel_ops.cc
===================================================================
RCS file: /cvsroot/gcc/gcc/libstdc++-v3/testsuite/24_iterators/rel_ops.cc,v
retrieving revision 1.1
diff -c -3 -p -r1.1 rel_ops.cc
*** testsuite/24_iterators/rel_ops.cc	16 Apr 2002 02:29:22 -0000	1.1
--- testsuite/24_iterators/rel_ops.cc	19 Jun 2003 18:22:56 -0000
*************** void test01()
*** 30,36 ****
  {
    std::vector<int> v;
    std::vector<int>::iterator vi;
! 
    vi != v.begin();
    vi > v.begin();
    vi <= v.begin();
--- 30,37 ----
  {
    std::vector<int> v;
    std::vector<int>::iterator vi;
!   v.push_back(1);
!   vi = v.end();
    vi != v.begin();
    vi > v.begin();
    vi <= v.begin();
